Bug 1304890 - usb-audio devices latency
usb-audio devices latency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 17:11 EST by Fabrice Bellet
Modified: 2016-05-12 03:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: pulseaudio-7.1-1.fc23.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 03:29:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabrice Bellet 2016-02-04 17:11:43 EST
Hi!

It would be great to backport upstream patch: 

http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/src?id=810aa36189f82f77403826defa76a4f9f1f01454

This patch fixes an issue with USB audio devices, that are presented to pulseaudio with a latency of 100ms. This is "visible" for the end-user, for example using empathy-call and the fsrtpconference gstreamer element, that uses a pulsesrc element, and imposes some strict audio latency, that cannot be met with usb-audio without this patch.
Comment 1 Rex Dieter 2016-02-09 21:54:09 EST
Could probably do that, it looks safe enough.

Longer term could consider updating to pulseaudio-8.0 too (any concerns or objections?)
Comment 2 Fedora Update System 2016-05-06 11:50:21 EDT
pulseaudio-7.1-1.fc23.1 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-66b78d4812
Comment 3 Fedora Update System 2016-05-07 12:55:43 EDT
pulseaudio-7.1-1.fc23.1 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-66b78d4812
Comment 4 Fedora Update System 2016-05-12 03:29:03 EDT
pulseaudio-7.1-1.fc23.1 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.